<template>
  <basic-container show-form>
    <el-button
      class="ml10"
      type="primary"
      icon="el-icon-plus"
      @click="onOpenDialogByAdd('add')"
      >新增</el-button
    >
    <refer-dialog ref="referDialogRef"></refer-dialog>
  </basic-container>
</template>

<script>
import referDialog from "./referDemoDialog.vue";

export default {
  name: "referIndex",
  components: { referDialog },
  methods: {
    // 新增
    onOpenDialogByAdd(type) {
      this.$refs.referDialogRef.openDialog({ type: type });
    },
  },
};
</script>

<style scoped></style>
